@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html {
  scroll-behavior: smooth;
}

body,
html {
  background: #f2f2f2;
  overflow-x: hidden;
}

/* header.scrolled {
  background: linear-gradient(rgba(98, 118, 197, 0.7), rgba(138, 124, 136, 0.523)); 
  opacity: 0.8; 
}

header.scrolled .navbar a,
header.scrolled .navbar h2 {
  color: black; 
} */

.bg-cover {
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
}

.overlay2 {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: linear-gradient(rgb(17, 7, 254, 0.7), rgb(0, 224, 254, 0.7));
  z-index: 0;
}
section {
  padding-top: 60px !important;
  padding-bottom: 60px !important;
}
.why_us, .contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.logo {
  width: 80px;
  height: 80px;
}
/* slider */
.main {
  height: 100vh;
  width: 100%;
  margin-top: 70px;
}

.wrapper,
.slide {
  position: relative;
  width: 100%;
  height: 100%;
}
.slide {
  overflow: hidden;
}
.slide::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background: linear-gradient(rgb(17, 7, 254, 0.7), rgb(0, 224, 254, 0.7));
  z-index: 10;
}
.slide .image {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.slide .image-data {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  width: 100%;
  z-index: 100;
}
.image-data span.text {
  font-size: 14px;
  font-weight: 400;
  color: #fff;
}
.image-data h2 {
  font-size: 45px;
  font-weight: 600;
  color: #fff;
}
@media screen and (max-width: 1500px) {
  .image-data h2 {
    font-size: calc(1.5em + 1.5vw);
    font-weight: 600;
    color: #fff;
    width: 80%;
    margin: 0 auto;
  }
}

a.button {
  display: inline-block;
  padding: 10px 20px;
  border-radius: 25px;
  color: #333;
  background: #fff;
  text-decoration: none;
  margin-top: 25px;
  transition: all 0.3s ease;
}
a.button:hover {
  color: #000;
  background: linear-gradient(to right, #04fe00, yellow);
}

/* swiper button css */
.nav-btn {
  height: 50px;
  width: 50px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.3);
}
.nav-btn:hover {
  background: rgba(255, 255, 255, 0.4);
}
.swiper-button-next {
  right: 50px;
}
.swiper-button-prev {
  left: 50px;
}
.nav-btn::before,
.nav-btn::after {
  font-size: 25px;
  color: #fff;
}
.swiper-pagination-bullet {
  opacity: 1;
  height: 12px;
  width: 12px;
  background-color: #fff;
  visibility: hidden;
}
.swiper-pagination-bullet-active {
  border: 2px solid #fff;
  background: linear-gradient(to right, #0d810b, rgb(193, 193, 74));
}

@media screen and (max-width: 768px) {
  .nav-btn {
    visibility: hidden;
  }
  .swiper-pagination-bullet {
    visibility: visible;
  }
}
/* slider ends */

/* about */
.about-content {
  text-align: justify;
}

.about-content button {
  display: inline-block;
  background: linear-gradient(#1107fe, #00e0fe);
  /* background-color: #0C5F95; */
  color: #fff;
  padding: 12px 24px;
  border-radius: 5px;
  font-size: 20px;
  border: none;
  cursor: pointer;
  transition: 0.3s ease;
}

.about-content button:hover {
  background: linear-gradient(to right, #04fe00, yellow);
  transform: scale(1.1);
  color: black;
}
img {
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

/* boards */
.board-section {
  background-color: #0b5586 !important;
  position: relative;
}
.board-container {
  text-align: center;
  font-family: "Ubuntu", sans-serif;
  font-size: 50px;
}
.section-title {
  color: white;
  position: relative;
  z-index: 4;
}
.board-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.board-slider {
  height: 200px;
  margin: 30px auto;
  overflow: hidden;
  position: relative;
  width: 80vw;
}

.board-slider .board-slide-track {
  -webkit-animation: scroll 30s linear infinite;
  animation: scroll 30s linear infinite;
  display: flex;
  width: calc(250px * 14);
}

.board-slider .board-slide {
  height: 100px;
  width: 250px;
}

.board-slider .board-slide img {
  width: 80%;
  height: 200px;
  border-radius: 10px;

  /* border: 2px solid #bbbbbb; */
}

@-webkit-keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-250px * 7));
  }
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-250px * 7));
  }
}

.board-slide {
  position: relative;
}

.board-slide .overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  display: flex;
  flex-direction: column; /* Stack items vertically */
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 10px;
  height: 200px;
  font-size: 20px;
  text-align: center; /* Center text horizontally */
}

.board-slide:hover .overlay {
  opacity: 1;
}
/* courses */
.course-img {
  width: 100%;
  height: auto;
  padding-bottom: 10px;
  border-radius: 7px;
}

/* counter widget */
.counters {
  background-color: #0b5586;
  position: relative;
}

.counter-container {
  position: relative;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  text-align: center;
}

.counter-item {
  padding: 10px;
}
.counter-item i {
  transition: transform 0.3s ease;
}

.counter-item:hover i {
  transform: rotate(360deg);
}

.icon {
  font-size: 3em;
  color: white;
  margin-bottom: 10px;
}

.counter {
  font-size: 2em;
  font-weight: bold;
  color: white;
}

.cp {
  margin: 0;
  font-size: 1em;
  color: white;
}

/* Grid layout for medium screens (851px to 1115px) */
@media (min-width: 851px) and (max-width: 1115px) {
  .counter-container {
    grid-template-columns: repeat(4, 1fr);
  }
}

/* Grid layout for smaller screens (768px and below) */
@media (max-width: 768px) {
  .counter-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Grid layout for very small screens (480px and below) */
@media (max-width: 480px) {
  .counter-container {
    grid-template-columns: 1fr;
  }
}
/* counter ends here */

/* features Section */
.feature-mt-12 {
  margin-top: 3rem;
}

.feature-grid-container {
  display: grid;
  gap: 2rem;
  grid-template-columns: 1fr;
  overflow-y: hidden;
  padding: 0px 30px 10px;
}

.feature-item {
  display: flex;
  align-items: start;
  background-color: #ffffff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 1.5rem;
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out,
    background-color 0.3s ease-in-out, color 0.3s ease-in-out;
  padding: 1.5rem;
}

.feature-item:hover {
  transform: scale(1.05);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
  background: linear-gradient(#1107fe, #00e0fe);
  color: #ffffff;
}
.feature-item:hover .feature-icon i {
  color: white;
}

.feature-item:hover .feature-icon i {
  background: -webkit-linear-gradient(#04fe00, yellow);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.feature-item:hover .feature-title,
.feature-item:hover .feature-description {
  color: #ffffff;
}

.feature-icon-container {
  flex-shrink: 0;
  padding-left: 1rem;
}

.feature-icon i {
  height: 3rem;
  width: 3rem;
  background: -webkit-linear-gradient(#00e0fe, #1107fe);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 40px;
  transition: color 0.3s ease-in-out;
}

.feature-text-content {
  margin-left: 1rem;
}

.feature-title {
  font-size: 1.25rem;
  font-weight: bold;
  color: #111827;
  transition: color 0.3s ease-in-out;
}

.feature-description {
  margin-top: 0.5rem;
  color: #4b5563;
  transition: color 0.3s ease-in-out;
}

/* Responsive Styles */
@media (min-width: 1024px) {
  .feature-grid-container {
    grid-template-columns: 1fr 1fr 1fr;
    max-width: 80%;
  }
}

@media (max-width: 1024px) {
  .feature-item:hover {
    transform: none;
  }
}

@media (max-width: 640px) {
  .feature-grid-container {
    grid-template-columns: auto;
  }
  .feature-item {
    display: flex;
    flex-direction: column;
    align-items: start;
  }
}
@media (min-width: 250px) and (max-width: 300px) {
  .feature-title {
    font-size: 1rem !important;
  }

  .feature-description {
    font-size: 0.8rem !important;
  }
  .feature-icon {
    height: 2rem;
    width: 2rem;
  }
}

/* feature ends */

/* faq */
.faq-container {
  width: 80%;
  margin: 20px auto;
  border-radius: 20px;
  overflow: hidden;
}

.faqs {
  transition: background-color 0.3s;
}

.faq:last-child {
  border-bottom: none;
}

.faq {
  background: linear-gradient(270deg, #00e0fe, #1107fe);
  margin-bottom: 20px;
  color: white;
  border-radius: 40px;
  overflow: hidden;
}

.faq:hover {
  background-color: #556b2f;
  color: white;
}

.question {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  padding: 20px;
  transition: background-color 0.3s, padding 0.3s;
  border-radius: 40px;
}

.question h2 {
  margin: 0;
  font-size: 18px;
}

.toggle-btn {
  font-size: 24px;
  color: white;
  transition: transform 0.3s;
}

.answer {
  display: none;
  padding: 0 20px 20px;
  font-size: 16px;
  color: white;
  animation: fadeIn 0.5s ease-in-out;
}

.answer p {
  margin: 0;
}

.faq.open .answer {
  display: block;
}

.faq.open .toggle-btn {
  transform: rotate(45deg);
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@media (min-width: 250px) and (max-width: 270px) {
  .question h2 {
    font-size: 14px !important;
  }

  .toggle-btn {
    font-size: 20px !important;
  }

  .answer {
    font-size: 12px !important;
  }
}

@media (max-width: 600px) {
  .faq-container {
    padding: 15px;
    width: 100%;
    max-width: none;
  }

  h1 {
    font-size: 24px;
  }

  .question h2 {
    font-size: 16px;
  }

  .answer {
    font-size: 14px;
  }
}
/* faq ends here */

/* section {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 60px 0 0;
} */

section h2 {
  font-size: 2rem;
  text-align: center;
}

section > p {
  text-align: center;
}

section .cards {
  display: flex;
  flex-wrap: wrap;
  margin-top: 50px;
  justify-content: center;
  gap: 20px;
}

section .cards .card {
  background: #fff;
  padding: 10px;
  list-style: none;
  border-radius: 5px;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.04);
  width: calc(100% / 3 - 30px);
  text-align: center;
}

.services .card img {
  width: 120px;
  height: 120px;
  margin-bottom: 20px;
  border-radius: 100%;
  object-fit: cover;
}

.cards .card p {
  padding: 0 15px;
  margin-top: 5px;
}

.contact {
  position: relative;
  color: white;
}

.contact .row {
  margin: 3rem 0 0px;
  display: flex;
  max-width: 80%;
  width: 80%;
  align-items: center;
  justify-content: center;
  gap: 30px;
  padding-bottom: 3rem;
}

.contact h2,
.contact p,
.contact .row {
  position: relative;
  z-index: 1;
}

.contact .row .col {
  padding: 0 10px;
  width: calc(100% / 2 - 50px);
}

.contact .col p {
  margin-bottom: 10px;
}

.contact .col p i {
  color: white;
  margin-right: 10px;
}
/* @media screen and (max-width: 1100px) {
  .contact .row {
    width: 90%;
  }
} */

@media screen and (max-width: 860px) {
  .navbar .all-links {
    position: fixed;
    left: -120%;
    width: 300px;
    display: block;
    height: 100vh;
    top: 100px;
    background: white;
    transition: left 0.3s ease;
  }

  .navbar #menu-toggler:checked ~ .all-links {
    left: 0;
  }

  .navbar .all-links li {
    font-size: 18px;
  }

  .navbar #hamburger-btn {
    display: block;
  }

  section > p {
    text-align: center;
  }

  section .cards .card {
    width: calc(100% / 2 - 15px);
  }

  .homepage .content h1 {
    font-size: 40px;
    font-weight: 700;
    margin-bottom: 10px;
  }

  .homepage .content .text {
    font-size: 17px;
  }

  .content a {
    font-size: 17px;
    padding: 9px 20px;
  }

  .contact .row {
    flex-direction: column;
    gap: 10px;
  }

  .contact .row .col {
    width: 100%;
  }

  .contact .row .col:last-child {
    margin-top: 40px;
  }
}

@media screen and (max-width: 560px) {
  section .cards .card {
    width: 100%;
  }
}

/* team */
:root {
  --primary: #0463fa;
  --light: #eff5ff;
  --dark: #1b2c51;
}
ol,
ul {
  padding: 0;
}
.team-heading {
  margin: 0 0 0.5rem;
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  color: white;
}

.team-heading-sub {
  font-size: 1.25rem;
}

.team-container {
  text-align: center;
}

.team-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: -15px;
}

.team-item {
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  margin-bottom: 30px;
}

.team-item-image {
  width: 100%;
  height: auto;
  transition: transform 0.5s ease;
}

.team-item:hover .team-item-image {
  transform: translateY(-30px);
}

.team-item-text {
  background: linear-gradient(#1107fe, #00e0fe);
  text-align: center;
  padding: 20px;
  transition: margin-top 0.5s ease, height 0.5s ease;
  color: white;
}

.team-item:hover .team-item-text {
  margin-top: -40px;
  height: 130px;
}

.team-social {
  padding-top: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 0.5s ease;
  display: none; /* Initially hidden */
}

.team-item:hover .team-social {
  display: flex; /* Flex to center */
}

.team-social-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 38px;
  height: 38px;
  background-color: green;
  color: white;
  border-radius: 50%;
  margin: 0 5px;
  transition: background-color 0.3s ease, color 0.3s ease;
  text-decoration: none;
}

.team-social-link:hover {
  background: linear-gradient(to right, #04fe00, yellow);
  color: #000;
}

.team-social-link .fa-whatsapp {
  font-size: 1.2rem;
  margin: auto; /* Optional but can help in centering */
}

.team-col {
  padding: 15px;
  width: 100%;
}

@media (min-width: 576px) {
  .team-col-md-6 {
    width: 50%;
  }
}

@media (min-width: 992px) {
  .team-col-lg-3 {
    width: 25%;
  }
}


.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  padding-top: 50px;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
  align-items: center;
  justify-content: center;
}

.modal-content {
  max-width: 80%;
  max-height: 80%;
  width: auto;
  height: auto;
}

#modal-image {
  max-width: 700px;
  max-height: 600px;
  min-height: 280px;
  min-width: 280px;
  border: 2px solid white;
}

.close {
  position: absolute;
  top: 100px;
  right: 70px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* Testimonials */
.flip-card {
  background-color: transparent;
  perspective: 1000px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 300px;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.flip-card-front {
  background: linear-gradient(135deg, #007bff, #00d4ff);
  color: white;
}

.flip-card-back {
  background: linear-gradient(135deg, #00d4ff, #007bff);
  transform: rotateY(180deg);
  color: white;
}

.card-body {
  padding: 20px;
}

h5 {
  font-size: 1.25rem;
}

.small {
  font-size: 0.875rem;
}

@media (min-width: 992px) {
  .flip-card-inner {
    height: 400px;
  }
}

/* footer */
.footer-distributed {
  background: linear-gradient(to bottom, #00e0fe, #1107fe);
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.12);
  width: 100%;
  text-align: left;
  font: bold 16px sans-serif;
  padding: 30px;
  margin-top: auto;
  position: relative;
}

.footer-distributed .footer-left,
.footer-distributed .footer-center,
.footer-distributed .footer-right {
  display: inline-block;
  vertical-align: top;
}

.footer-distributed .footer-left {
  width: 40%;
}

.footer-distributed .footer-left .logo {
  width: 100px;
  height: 100;
  margin-bottom: 20px;
}

.footer-distributed h3 {
  color: #ffffff;
  font: normal 36px "Open Sans", cursive;
  margin: 0;
}

.footer-distributed h3 span {
  color: lightseagreen;
}

.footer-distributed .footer-links {
  color: #ffffff;
  margin: 20px 0 12px;
  padding: 0;
}

.footer-distributed .footer-links a {
  display: inline-block;
  line-height: 1.8;
  font-weight: 400;
  text-decoration: none;
  color: inherit;
}

.footer-distributed .footer-center {
  width: 35%;
  margin-right: 20px;
}

.footer-distributed .footer-center i {
  background-color: white;
  color: black;
  font-size: 25px;
  width: 38px;
  height: 38px;
  border-radius: 50%;
  text-align: center;
  line-height: 42px;
  margin: 10px 15px;
  vertical-align: middle;
}

.footer-distributed .footer-center i.fa-envelope {
  font-size: 17px;
  line-height: 38px;
}

.footer-distributed .footer-center p {
  display: inline-block;
  color: #ffffff;
  font-weight: 400;
  vertical-align: middle;
  margin: 0;
}

.footer-distributed .footer-center p span {
  display: block;
  font-weight: normal;
  font-size: 14px;
  line-height: 2;
}

.footer-distributed .footer-center p a {
  color: lightseagreen;
  text-decoration: none;
}

.footer-distributed .footer-links a:before {
  content: "|";
  font-weight: 300;
  font-size: 20px;
  left: 0;
  color: #fff;
  display: inline-block;
  padding-right: 5px;
}

.footer-distributed .footer-links .link-1:before {
  content: none;
}

.footer-distributed .footer-right {
  width: 20%;
}

.footer-distributed .footer-company-about {
  line-height: 20px;
  color: white;
  font-size: 13px;
  font-weight: normal;
  margin: 0;
  width: 80%;
}

.footer-distributed .footer-company-about span {
  display: block;
  color: #ffffff;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 20px;
}

.footer-distributed .footer-icons {
  margin-top: 25px;
}

.footer-distributed .footer-icons a {
  display: inline-block;
  width: 35px;
  height: 35px;
  cursor: pointer;
  background-color: white;
  border-radius: 2px;
  font-size: 20px;
  color: black;
  text-align: center;
  line-height: 35px;
  margin-right: 3px;
  margin-bottom: 5px;
}

.footer-bottom {
  width: 100%;
  text-align: center !important;
  margin-top: 20px;
}

.footer-bottom .footer-company-name {
  color: #ffffff;
  font-size: 14px;
  font-weight: normal;
}
br {
  display: none;
}

/* Media query for footer */
@media (max-width: 1000px) {
  .footer-distributed {
    font: bold 14px sans-serif;
  }

  .footer-distributed .footer-left,
  .footer-distributed .footer-center,
  .footer-distributed .footer-right {
    display: block;
    width: 100%;
    margin-bottom: 20px;
    text-align: left;
  }

  .footer-distributed .footer-center i {
    margin-left: 0;
  }
  .footer-bottom {
    width: 80%;
    text-align: left !important;
    margin-top: 20px;
  }
  .footer-distributed .footer-company-about {
    line-height: 20px;
    color: white;
    font-size: 13px;
    font-weight: normal;
    width: 80%;
  }
  .footer-distributed .footer-links {
    color: #ffffff;
    width: 80%;
  }
}
.ims-text {
  background: -webkit-linear-gradient(#04fe00, yellow);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}
@media (max-width: 786px) {
  br {
    display: block;
  }
}
/* footer ends here */

/* Back to Top Button */
#back-to-top {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background: linear-gradient(230deg, #00e0fe, #1107fe);
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 30%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

#back-to-top:hover {
  background: linear-gradient(to right, #04fe00, yellow);
  color: black;
}

/* Footer Connect Icons */
.connect a {
  display: inline-block;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  color: white;
  font-size: 24px;
  text-align: center;
  line-height: 50px;
  transition: background-color 0.3s ease, transform 0.3s ease;
  margin: 0 10px;
}

.connect a:hover {
  transform: scale(1.1);
}

.connect .phone {
  background-color: blue;
}

.connect .WhstaAppFloat {
  background-color: green;
}

/*Adding some padding to the icons */
.connect a i {
  padding: 12px;
}

/* twitter */
.fa.fa-twitter {
  font-family: sans-serif;
}
.fa.fa-twitter::before {
  content: "𝕏";
  font-size: 1.2em;
}
